# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'overspeeding/version'

Gem::Specification.new do |spec|
  spec.name          = "overspeeding"
  spec.version       = Overspeeding::VERSION
  spec.authors       = ["Shantanu Chaturvedi"]
  spec.email         = ["shantanu020623@gmail.com"]

  spec.summary       = %q{This gem detects overspeeding and gets the number plate of the vehicle}
  spec.description   = %q{Using sensors overspeeding is detected, a photo is taken, number plate extraction is done on the image, and the number is stored in atext file, the number is picked up from the text file and stored as string. BUILT TO RUN ON A RASPBERRY PI RUNNING RASPBIAN WHEEZY}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  #spec.add_dependency "ruby"
  spec.add_dependency "wiringpi2"
  spec.add_runtime_dependency "ruby", "~> 2.0"
  spec.add_dependency "alpr"
end
